{

	"AbilityName" : "TestAbility",

	"AbilityMixins" : 

	[

		{

			"$type" : "MoleMole.SummonMixin",

			"SummonType" : "Monster",

			"SummonID" : 30002,

			// "SummonDuration" : 10,

			"SummonTag" : ["Test"],

			"TimesUpDelay" : 0.5,

			"OverrideDelay" : 0.2,

			"SummonPosRot" : 

			{

				"CoordsOption" : "Self",

				"Offset" : 

				{

					"PositionOffset" : {"x":0.0, "y":0.0, "z":3},

					"AngleOffset" : {"x":0.0, "y":0.0, "z":0.0},

				},

				"TargetOption" : 

				{

					// "$type" : "MoleMole.ConfigPosRotWorld",

					// "NodeName" : "Anchor_Item01",



					"$type" : "MoleMole.ConfigPosRotReferTarget",

					"OffsetReferTarget" : "Self",

				}

			},

			"InheritPropertyMap":

			{

				"Attack" : 

				{

					"Percentage" : 10.0,

					"InheritType" : "MasterTemplate",

				}

			},

			"SummonAbilityList" : 

			[

				"TestAbility1",

			],

			"OnSummonCreatedActions" : 

			[

				{  

				    "$type" : "MoleMole.FireEffect",

				    "EffectPattern" : "Eff_Treasure_Open",

				    "Target" : "Self",

				},

				{  

				    "$type" : "MoleMole.FireEffect",

				    "EffectPattern" : "Eff_Treasure_Open",

				    "Target" : "Target",

				},

			],

			"OnSummonTimesUpActions" : 

			[

				{  

				    "$type" : "MoleMole.FireEffect",

				    "EffectPattern" : "Eff_Treasure_Open",

				    "Target" : "Self",

				},

				{  

				    "$type" : "MoleMole.FireEffect",

				    "EffectPattern" : "Eff_Treasure_Open",

				    "Target" : "Target",

				},

			],

			"OnSummonOverrideActions" :

			[

				{  

				    "$type" : "MoleMole.FireEffect",

				    "EffectPattern" : "Eff_Anbi_Attack_Counter_Trigger_01",

				    "Target" : "Self",

				},

				{  

				    "$type" : "MoleMole.FireEffect",

				    "EffectPattern" : "Eff_Anbi_Attack_Counter_Trigger_01",

				    "Target" : "Target",

				},

			],

			"OnSummonBeHitActions" : 

			[

				{  

				    "$type" : "MoleMole.FireEffect",

				    "EffectPattern" : "Eff_Anbi_Attack_Counter_Trigger_01",

				    "Target" : "Self",

				},

			]

		}

	]





}